package com.inkasso.factoring.acceptanceManagement.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.common.util.excel.ExcelCell;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 下游验收单-签署确认货物信息表
 * </p>
 *
 * @author yafan
 * @since 2023-11-30
 */
@TableName("c_acceptance_sign_confirmation_goods_info")
public class CAcceptanceSignConfirmationGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单信息表id
     */
    @TableField("c_acceptance_sign_confirmation_id")
    private Long cAcceptanceSignConfirmationId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    @ExcelCell(index = 0)
    private String goodsName;

    /**
     * 货物材质
     */
    @TableField("goods_material")
    @ExcelCell(index = 1)
    private String goodsMaterial;

    /**
     * 型号
     */
    @TableField("goods_type")
    @ExcelCell(index = 2)
    private String goodsType;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    @ExcelCell(index = 3)
    private String goodsFactory;

    /**
     * 单位
     */
    @TableField("goods_unit")
    @ExcelCell(index = 4)
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    @ExcelCell(index = 5)
    private BigDecimal goodsQuantity;

    /**
     * 参考价格
     */
    @TableField("reference_price")
    @ExcelCell(index = 6)
    private BigDecimal referencePrice;

    /**
     * 浮动价格
     */
    @TableField("floating_price")
    @ExcelCell(index = 7)
    private BigDecimal floatingPrice;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    @ExcelCell(index = 8)
    private BigDecimal salesPrice;

    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    @ExcelCell(index = 9)
    private Date acceptanceDate;

    public Long getcAcceptanceSignConfirmationId() {
        return cAcceptanceSignConfirmationId;
    }

    public void setcAcceptanceSignConfirmationId(Long cAcceptanceSignConfirmationId) {
        this.cAcceptanceSignConfirmationId = cAcceptanceSignConfirmationId;
    }
    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    public String getGoodsMaterial() {
        return goodsMaterial;
    }

    public void setGoodsMaterial(String goodsMaterial) {
        this.goodsMaterial = goodsMaterial;
    }
    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }
    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }
    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }
    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }
    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }
    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }
    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }
    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    @Override
    public String toString() {
        return "CAcceptanceSignConfirmationGoodsInfo{" +
            ", cAcceptanceSignConfirmationId=" + cAcceptanceSignConfirmationId +
            ", goodsName=" + goodsName +
            ", goodsMaterial=" + goodsMaterial +
            ", goodsType=" + goodsType +
            ", goodsFactory=" + goodsFactory +
            ", goodsUnit=" + goodsUnit +
            ", goodsQuantity=" + goodsQuantity +
            ", referencePrice=" + referencePrice +
            ", floatingPrice=" + floatingPrice +
            ", salesPrice=" + salesPrice +
            ", acceptanceDate=" + acceptanceDate +
        "}";
    }
}
